---
title: "Assign brand to application"
url: "https://docs.signnow.com/docs/general-branding/operations/put-v2-applications-application_id-brand"
type: "endpoint"
section: "general-branding"
slug: "general-branding/operations/put-v2-applications-application_id-brand"
method: "PUT"
path: "/v2/applications/{application_id}/brand"
operation_id: "put-v2-applications-application_id-brand"
authorization: "bearer"
---

# Assign brand to application

`PUT /v2/applications/{application_id}/brand`

This endpoint allows users to assign branding to an application.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `application_id` | string | Yes | ID of the application. |

## Header Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `Content-Type` | string | No | application/json |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "brand_id"
  ],
  "properties": {
    "brand_id": {
      "type": "string",
      "description": "ID of the brand that will be assigned."
    }
  },
  "x-examples": {
    "Example 1": {
      "brand_id": "{{brand_id}}"
    }
  }
}
```

**Example** (`Example 1`)

```json
{
  "brand_id": "{{brand_id}}"
}
```

## Responses

### 201

Created

### 400

* Incorrect or missing token.
* Incorrect payload.
* `brand_id` is not a string.
* Empty `brand_id`.
* Missing or incorrect `brand_id`.

**Example** (`Empty brand_id`)

```json
{
  "code": 25002071,
  "message": "Brand id must not be an empty string."
}
```

**Example** (`Incorrect payload`)

```json
{
  "code": 25002002,
  "message": "Invalid payload given."
}
```

**Example** (`brand_id not string`)

```json
{
  "code": 25002070,
  "message": "Brand id must be a string."
}
```

**Example** (`Incorrect or missing token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Missing or incorrect brand_id`)

```json
{
  "code": 25002069,
  "message": "Brand id is required"
}
```

### 403

* The user is authorized with a token from an app they don’t own.
* The bearer token is valid but it belongs to another user.
* Brand with this `brand_id` doesn't exist.
* User doesn't own this brand.

**Example** (`Brand doesn't exist`)

```json
{
  "code": 25002077,
  "message": "You are not allowed to assign provided brand."
}
```

**Example** (`Another user's token`)

```json
{
  "code": 25002075,
  "message": "Brand assign to provided application is not allowed."
}
```

**Example** (`User doesn't own the app`)

```json
{
  "code": 25002001,
  "message": "Brand action not allowed."
}
```

**Example** (`User doesn't own this brand`)

```json
{
  "code": 25002001,
  "message": "Brand action not allowed."
}
```

### 404

`application_id` does not exist


**Example** (`application_id does not exist`)

```json
{
  "code": "25002076",
  "message": "Application unique identifier does not exist."
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X PUT \
  "https://api.signnow.com/v2/applications/{application_id}/brand" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"brand_id": "{{brand_id}}"}'
```

---
*Full reference: https://docs.signnow.com/docs/general-branding/operations/put-v2-applications-application_id-brand*
